<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2007 osCommerce

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// Examples:
// on RedHat try 'en_US'
// on FreeBSD try 'en_US.ISO_8859-1'
// on Windows try 'en', or 'English'
@setlocale(LC_TIME, 'ja-JP');

define('DATE_FORMAT_SHORT', '%m/%d/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', ''); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'mm/dd/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'JPY');

// Global entries for the <html> tag
define('HTML_PARAMS', 'dir="ltr" lang="jp"');

// charset for web pages and emails
define('CHARSET', 'utf-8');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', 'アカウントを作成する');
define('HEADER_TITLE_MY_ACCOUNT', 'マイアカウント');
define('HEADER_TITLE_CART_CONTENTS', 'カートの中身');
define('HEADER_TITLE_CHECKOUT', 'チェックアウト');
define('HEADER_TITLE_TOP', 'トップ');
define('HEADER_TITLE_CATALOG', 'カタログ');
define('HEADER_TITLE_LOGOFF', 'ログオフ');
define('HEADER_TITLE_LOGIN', 'ログイン');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', '以来リクエスト');

// text for gender
define('MALE', '男性');
define('FEMALE', '女性');
define('MALE_ADDRESS', '氏');
define('FEMALE_ADDRESS', 'ミズ');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// checkout procedure text
define('CHECKOUT_BAR_DELIVERY', '配達情報');
define('CHECKOUT_BAR_PAYMENT', '支払情報');
define('CHECKOUT_BAR_CONFIRMATION', '確認');
define('CHECKOUT_BAR_FINISHED', '完成した！');

// pull down default text
define('PULL_DOWN_DEFAULT', '選択してください');
define('TYPE_BELOW', '以下のタイプ');

// javascript messages
define('JS_ERROR', 'エラーは、フォームの処理中に発生しています\ n\ nしばらくは以下の修正を行います：\n\n');

define('JS_REVIEW_TEXT', '* レビューテキストは持っている必要があります少なくとも ' . REVIEW_TEXT_MIN_LENGTH . ' 文字\n');
define('JS_REVIEW_RATING', '* あなたのレビューのために製品を評価しなければなりません。\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* あなたの順序の支払方法を選択してください。\n');

define('JS_ERROR_SUBMITTED', 'このフォームは、既に送信されました。 [OK]を押して、完了するために、このプロセスのためにお待ちください。');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', 'あなたの順序の支払方法を選択してください。');

define('CATEGORY_COMPANY', '会社情報');
define('CATEGORY_PERSONAL', 'あなたの個人情報');
define('CATEGORY_ADDRESS', 'あなたの住所');
define('CATEGORY_CONTACT', 'あなたの連絡先情報');
define('CATEGORY_OPTIONS', 'オプション');
define('CATEGORY_PASSWORD', 'あなたのパスワード');

define('ENTRY_COMPANY', '会社名：');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', 'ジェンダー:');
define('ENTRY_GENDER_ERROR', 'あなたの性別を選択してください。');
define('ENTRY_GENDER_TEXT', '*');
define('ENTRY_FIRST_NAME', 'ファーストネーム：');
define('ENTRY_FIRST_NAME_ERROR', 'あなたの最初の名前は、以上の容量が必要 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' 文字。');
define('ENTRY_FIRST_NAME_TEXT', '*');
define('ENTRY_LAST_NAME', '姓:');
define('ENTRY_LAST_NAME_ERROR', 'あなたの最初の名前は、以上の容量が必要  ' . ENTRY_LAST_NAME_MIN_LENGTH . '  文字。');
define('ENTRY_LAST_NAME_TEXT', '*');
define('ENTRY_DATE_OF_BIRTH', '生年月日：');
define('ENTRY_DATE_OF_BIRTH_ERROR', 'あなたの生年月日は、この形式でなければなりません: MM/DD/YYYY (eg 05/21/1970)');
define('ENTRY_DATE_OF_BIRTH_TEXT', '* (eg. 05/21/1970)');
define('ENTRY_EMAIL_ADDRESS', 'E-Mailアドレス:');
define('ENTRY_EMAIL_ADDRESS_ERROR', 'あなたのE-Mailアドレスの最小値が含まれている必要があり ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' 文字。');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', 'あなたの電子メールアドレスが有効であることが表示されないこと - 必要な修正を行ってください。');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', 'あなたの電子メールアドレスが弊社の記録にすでに存在している - の電子メールアドレスでログインするか、別のアドレスでアカウントを作成してください。');
define('ENTRY_EMAIL_ADDRESS_TEXT', '*');
define('ENTRY_STREET_ADDRESS', '番地：');
define('ENTRY_STREET_ADDRESS_ERROR', 'あなたの街のアドレスの最小値が含まれている必要があり ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' 文字。');
define('ENTRY_STREET_ADDRESS_TEXT', '*');
define('ENTRY_SUBURB', '郊外：');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', 'コードを投稿する：');
define('ENTRY_POST_CODE_ERROR', 'あなたの郵便番号は、の最小値を含まなければなりません ' . ENTRY_POSTCODE_MIN_LENGTH . ' 文字。');
define('ENTRY_POST_CODE_TEXT', '*');
define('ENTRY_CITY', '市：');
define('ENTRY_CITY_ERROR', 'あなたの街の最小値を含まなければなりません ' . ENTRY_CITY_MIN_LENGTH . ' 文字。');
define('ENTRY_CITY_TEXT', '*');
define('ENTRY_STATE', '州/県：');
define('ENTRY_STATE_ERROR', 'あなたの国は、の最小値を含まなければなりません ' . ENTRY_STATE_MIN_LENGTH . ' 文字。');
define('ENTRY_STATE_ERROR_SELECT', '米国のプルダウンメニューから状態を選択してください。');
define('ENTRY_STATE_TEXT', '*');
define('ENTRY_COUNTRY', '国：');
define('ENTRY_COUNTRY_ERROR', 'あなたは、メニューをプルダウンして国から国を選択する必要があります。');
define('ENTRY_COUNTRY_TEXT', '*');
define('ENTRY_TELEPHONE_NUMBER', '電話番号：');
define('ENTRY_TELEPHONE_NUMBER_ERROR', 'あなたの電話番号の最小値を含まなければなりません ' . ENTRY_TELEPHONE_MIN_LENGTH . ' 文字。');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '*');
define('ENTRY_FAX_NUMBER', 'ファックス番号：');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', 'ニュースレター：');
define('ENTRY_NEWSLETTER_TEXT', '');
define('ENTRY_NEWSLETTER_YES', 'サブスクライブ');
define('ENTRY_NEWSLETTER_NO', 'サブスクライブ解除');
define('ENTRY_PASSWORD', 'パスワード：');
define('ENTRY_PASSWORD_ERROR', 'あなたのパスワードの最小値を含まなければなりません ' . ENTRY_PASSWORD_MIN_LENGTH . ' 文字。');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', 'パスワードの確認パスワードと一致する必要があります。');
define('ENTRY_PASSWORD_TEXT', '*');
define('ENTRY_PASSWORD_CONFIRMATION', 'パスワードの確認：');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT', '現在のパスワード：');
define('ENTRY_PASSWORD_CURRENT_TEXT', '*');
define('ENTRY_PASSWORD_CURRENT_ERROR', 'あなたのパスワードの最小値を含まなければなりません ' . ENTRY_PASSWORD_MIN_LENGTH . ' 文字。');
define('ENTRY_PASSWORD_NEW', '新パスワード：');
define('ENTRY_PASSWORD_NEW_TEXT', '*');
define('ENTRY_PASSWORD_NEW_ERROR', 'あなたの新しいパスワードの最小値を含まなければなりません ' . ENTRY_PASSWORD_MIN_LENGTH . ' 文字。');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', 'パスワードの確認は、新しいパスワードと一致する必要があります。');
define('PASSWORD_HIDDEN', '--HIDDEN--');

define('FORM_REQUIRED_INFORMATION', '* 必須情報');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', '検索結果ページ：');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '表示 <strong>%d</strong> へ <strong>%d</strong> (の <strong>%d</strong> 製品)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '表示 <strong>%d</strong> へ <strong>%d</strong> (の <strong>%d</strong> 受注)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '表示 <strong>%d</strong> へ <strong>%d</strong> (の <strong>%d</strong> レビュー)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', '表示 <strong>%d</strong> へ <strong>%d</strong> (の <strong>%d</strong> 新製品)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '表示 <strong>%d</strong> へ <strong>%d</strong> (の <strong>%d</strong> スペシャル)');

define('PREVNEXT_TITLE_FIRST_PAGE', '最初のページ');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', '前のページ');
define('PREVNEXT_TITLE_NEXT_PAGE', '次のページ');
define('PREVNEXT_TITLE_LAST_PAGE', '最後のページ');
define('PREVNEXT_TITLE_PAGE_NO', 'ページ %d');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', 'の前のセット %d ページ');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', 'の次のセット %d ページ');
define('PREVNEXT_BUTTON_FIRST', '&lt;&lt;最初の');
define('PREVNEXT_BUTTON_PREV', '[&lt;&lt;&nbsp;前のページ]');
define('PREVNEXT_BUTTON_NEXT', '[次の&nbsp;&gt;&gt;]');
define('PREVNEXT_BUTTON_LAST', '最後&gt;&gt;');

define('IMAGE_BUTTON_ADD_ADDRESS', '住所を追加');
define('IMAGE_BUTTON_ADDRESS_BOOK', 'アドレス帳');
define('IMAGE_BUTTON_BACK', 'バック');
define('IMAGE_BUTTON_BUY_NOW', '今すぐ購入します。');
define('IMAGE_BUTTON_CHANGE_ADDRESS', 'アドレスの変更');
define('IMAGE_BUTTON_CHECKOUT', 'チェックアウト');
define('IMAGE_BUTTON_CONFIRM_ORDER', '注文を確認する');
define('IMAGE_BUTTON_CONTINUE', '続ける');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', 'ショッピングを続ける');
define('IMAGE_BUTTON_DELETE', '削除');
define('IMAGE_BUTTON_EDIT_ACCOUNT', 'アカウントの編集');
define('IMAGE_BUTTON_HISTORY', '注文履歴');
define('IMAGE_BUTTON_LOGIN', 'サインイン');
define('IMAGE_BUTTON_IN_CART', 'カートに入れる');
define('IMAGE_BUTTON_NOTIFICATIONS', '通知');
define('IMAGE_BUTTON_QUICK_FIND', 'クイック検索');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', '通知を削除');
define('IMAGE_BUTTON_REVIEWS', 'レビュー');
define('IMAGE_BUTTON_SEARCH', '検索');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', '配送オプション');
define('IMAGE_BUTTON_TELL_A_FRIEND', '友達に教える');
define('IMAGE_BUTTON_UPDATE', '更新');
define('IMAGE_BUTTON_UPDATE_CART', 'カートへ');
define('IMAGE_BUTTON_WRITE_REVIEW', 'レビューを書く');

define('SMALL_IMAGE_BUTTON_DELETE', '削除');
define('SMALL_IMAGE_BUTTON_EDIT', '編集');
define('SMALL_IMAGE_BUTTON_VIEW', '表示');

define('ICON_ARROW_RIGHT', 'もっと');
define('ICON_CART', 'カートに入れる');
define('ICON_ERROR', 'エラー');
define('ICON_SUCCESS', '成功');
define('ICON_WARNING', '警告');

define('TEXT_GREETING_PERSONAL', 'おかえりなさい <span class="greetUser">%s!</span> あなたが見たいのですがどの <a href="%s"><u>新製品</u></a> 購入することが可能ですか？');
define('TEXT_GREETING_PERSONAL_RELOGON', '<small>もしあなたが〜でない場合、 %s, してください <a href="%s"><u>に自分自身を記録</u></a> あなたのアカウント情報を持つ。</small>');
define('TEXT_GREETING_GUEST', '歓迎 <span class="greetUser">ゲスト!</span> あなたがしたいと思います <a href="%s"><u>に自分自身を記録</u></a>? それとも、することを好むだろう <a href="%s"><u>アカウントを作成する</u></a>?');

define('TEXT_SORT_PRODUCTS', '並べ替え製品 ');
define('TEXT_DESCENDINGLY', '降順');
define('TEXT_ASCENDINGLY', '昇順');
define('TEXT_BY', ' バイ ');

define('TEXT_REVIEW_BY', 'バイ %s');
define('TEXT_REVIEW_WORD_COUNT', '%s 言葉');
define('TEXT_REVIEW_RATING', '評価: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', '追加された日付: %s');
define('TEXT_NO_REVIEWS', '商品のレビューはまだありません。');

define('TEXT_NO_NEW_PRODUCTS', '現在商品はありません。');

define('TEXT_UNKNOWN_TAX_RATE', '未知の税率');

define('TEXT_REQUIRED', '<span class="errorText">必須</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><strong><small>TEP ERROR:</small> 指定したSMTPサーバーを介して電子メールを送信することはできません。 php.iniの設定を確認し、SMTPサーバーを必要に応じて修正してください。</strong></font>');

define('TEXT_CCVAL_ERROR_INVALID_DATE', 'クレジットカードのために入力した有効期限が無効です。日付を確認して、もう一度お試しください。');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', '入力したクレジットカード番号が無効です。番号を確認してから、もう一度やり直してください。');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', '入力した番号の最初の4桁があります：％s。その番号が正しければ、我々はクレジットカードのタイプを受け入れません。それが間違っている場合は、もう一度やり直してください。');

define('FOOTER_TEXT_BODY', '<!-- Please do not delete Copyright &copy '.date('Y').' <a href="mailto:iam4simple@gmail.com"> Akhilesh Kumar Singh </a>-->');
?>
